---

kind: pipeline
type: docker
name: deploy dev

steps:
    - name: composer
      image: composer
      commands:
          - composer install
          - composer run-script minifyCSS
    - name: rsync to prism
      image: drillster/drone-rsync
      settings:
          hosts:
              from_secret: ssh_host
          port:
              from_secret: ssh_port
          user:
              from_secret: ssh_user
          key:
              from_secret: ssh_key
          source: ./
          target: ~/web/dev.yarmo.eu
          exclude: [ ".git/", ".gitignore", ".drone.yml", "composer.json", "composer.lock" ]
    - name: purge cache
      image: appleboy/drone-ssh
      settings:
          host:
              from_secret: ssh_host
          port:
              from_secret: ssh_port
          username:
              from_secret: ssh_user
          key:
              from_secret: ssh_key
          script:
              - rm -rf web/dev.yarmo.eu/cache/*

trigger:
    branch:
        - dev

---

kind: pipeline
type: docker
name: deploy prod

steps:
    - name: composer
      image: composer
      commands:
          - composer install
          - composer run-script minifyCSS
    - name: rsync to prism
      image: drillster/drone-rsync
      settings:
          hosts:
              from_secret: ssh_host
          port:
              from_secret: ssh_port
          user:
              from_secret: ssh_user
          key:
              from_secret: ssh_key
          source: ./
          target: ~/web/yarmo.eu
          exclude: [ ".git/", ".gitignore", ".drone.yml", "composer.json", "composer.lock" ]
    - name: purge cache
      image: appleboy/drone-ssh
      settings:
          host:
              from_secret: ssh_host
          port:
              from_secret: ssh_port
          username:
              from_secret: ssh_user
          key:
              from_secret: ssh_key
          script:
              - rm -rf web/yarmo.eu/cache/*

trigger:
    branch:
        - main
